extends layout
block layout-content
    div.View.WelcomeView
        h1.Banner #{appTitle}
        div.container
            div.row
                div.col-5.inline
                    table.table
                        tr
                            th(scope='col') Nom
                            th(scope='col') ID Client
                            th(scope='col') ID User
                            th(scope='col') Données cryptées
                            th(scope='col') Action
                        - var datas = data
                        each item in datas
                            tr
                                td(scope='col')=item.name
                                td(scope='col')=item.idclient
                                td(scope='col')=item.iduser
                                td(scope='col')=item.crypteddata
                                td(scope='col')
                                    button(type="button" onclick="deleteItem("+item.id+")").btn.btn-outline-danger.btn-sm
                                        span.glyphicon.glyphicon-trash


                div.col-5.inline
                    form(method='POST' action='/create-new')
                        div.form-group
                            label(for='name') Nom:
                            input#name.form-control(type='text', placeholder='Nom' name='name')
                        div.form-group
                            label(for='idclient') ID Client:
                            input#name.form-control(type='text', placeholder='Client id' name='idclient')
                        div.form-group
                            label(for='iduser') ID User:
                            input#name.form-control(type='text', placeholder='User id' name='iduser')
                        div.form-group
                            label(for='crypteddata') Données cryptées:
                            input#name.form-control(type='text', placeholder='Données' name='crypteddata')
                        button.btn.btn-primary(type='submit') Save
        div.NavButtons
            a(href="/log-off")
                div.NavButton Log out!
            a(href="/")
                div.NavButton Home
            a(href="/configure-users")
                div.NavButton Configure user
    script(type='text/javascript').
        deleteItem = (id) => {
            window.location.href = `/delete-user/${id}`;
        }
    